# Class EclipseWtpPlugin

java.lang.Object
org.gradle.plugins.ide.internal.IdePlugin
org.gradle.plugins.ide.eclipse.EclipseWtpPlugin

All Implemented Interfaces:
  `Plugin<Project>`

public class EclipseWtpPlugin extends org.gradle.plugins.ide.internal.IdePlugin
A plugin which configures the Eclipse Web Tools Platform.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ECLIPSE_WTP_COMPONENT_TASK_NAME`
`static final String`
`ECLIPSE_WTP_FACET_TASK_NAME`
`final org.gradle.internal.reflect.Instantiator`
`instantiator`
`static final String`
`WEB_LIBS_CONTAINER`

### Fields inherited from class org.gradle.plugins.ide.internal.IdePlugin

`project`

## Constructor Summary

Constructors
Constructor
Description
`EclipseWtpPlugin(org.gradle.internal.reflect.Instantiator instantiator)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getLifecycleTaskName()`
`protected void`
`onApply(Project project)`

### Methods inherited from class org.gradle.plugins.ide.internal.IdePlugin

`addWorker, addWorker, apply, cleanName, getCleanTask, getCleanTask, getLifecycleTask, postProcess`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ECLIPSE_WTP_COMPONENT_TASK_NAME

public static final String ECLIPSE_WTP_COMPONENT_TASK_NAME

See Also:
  - Constant Field Values

### ECLIPSE_WTP_FACET_TASK_NAME

public static final String ECLIPSE_WTP_FACET_TASK_NAME

See Also:
  - Constant Field Values

### WEB_LIBS_CONTAINER

public static final String WEB_LIBS_CONTAINER

See Also:
  - Constant Field Values

### instantiator

public final org.gradle.internal.reflect.Instantiator instantiator

## Constructor Details

### EclipseWtpPlugin

@Inject public EclipseWtpPlugin(org.gradle.internal.reflect.Instantiator instantiator)

## Method Details

### getLifecycleTaskName

protected String getLifecycleTaskName()

Specified by:
  `getLifecycleTaskName` in class `org.gradle.plugins.ide.internal.IdePlugin`

### onApply

protected void onApply(Project project)

Overrides:
  `onApply` in class `org.gradle.plugins.ide.internal.IdePlugin`